: Log in!

メインメニュー
Google


ウェブ 検索
サイト内検索
トップ  >  Linux09歩  >  2008-12-09 glibc,phpのupdate

20081209 glibc,php-5.2.8へのupdate


glibc-2.5-24.xen3.2

  glibcのリビルド 4 Xen

tls-warningへの対応

kernel-2.6.18-92.1.18.el5 glibc-2.5-24.el5_2.2の環境で
リビルドしたものをXenサーバに上書きインストールしています



php-5.2.8

  httpd/phpのインストール
  php.ini

security bug found in the PHP 5.2.7 release

The bug affects configurations where magic_quotes_gpc is enabled, because it remains off even when set to on. In the meantime

php.iniの変更点(5.2.6-5.2.8)

--- php.ini-dist.526 2008-02-11 09:01:29.000000000 +0900
+++ php.ini-dist.528 2008-12-09 04:07:09.000000000 +0900
@@ -336,7 +336,7 @@
log_errors_max_len = 1024

; Do not log repeated messages. Repeated errors must occur in same file on same
-; line until ignore_repeated_source is set true.
+; line unless ignore_repeated_source is set true.
ignore_repeated_errors = Off

; Ignore source of message when ignoring repeated messages. When this setting
@@ -354,6 +354,11 @@
; Store the last error/warning message in $php_errormsg (boolean).
track_errors = Off

+; Turn off normal error reporting and emit XML-RPC error XML
+;xmlrpc_errors = 0
+; An XML-RPC faultCode
+;xmlrpc_error_number = 0
+
; Disable the inclusion of HTML tags in error messages.
; Note: Never use this feature for production boxes.
;html_errors = Off
@@ -674,10 +679,6 @@
[sqlite]
;sqlite.assoc_case = 0

-[xmlrpc]
-;xmlrpc_error_number = 0
-;xmlrpc_errors = 0
-
[Pcre]
;PCRE library backtracking limit.
;pcre.backtrack_limit=100000


投票数:89 平均点:5.96
前
2008-12-06 jre,phpのupdate
カテゴリートップ
Linux09歩
次
2008-12-10 mc,nkf,certfileのupdate